Error log - Want to know the meaning of this error

Error:-

{‘retry’: 0, ‘log’: <function log at 0x7fe00b4aa9b0>, ‘site’: u’erpnext’, ‘event’: u’all’, ‘method_name’: u’pull_from_email_account’, ‘method’: <function pull_from_email_account at 0x7fe00b3600c8>, ‘user’: u’Administrator’, ‘kwargs’: {‘email_account’: u’Replies’}, ‘async’: True, ‘job_name’: u’pull_from_email_account|Replies’}
Traceback (most recent call last):
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/utils/background_jobs.py”, line 97, in execute_job
method(**kwargs)
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 707, in pull_from_email_account
email_account.receive()
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 258, in receive
emails = email_server.get_messages()
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/receive.py”, line 105, in get_messages
if not self.connect():
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/receive.py”, line 44, in connect
return self.connect_imap()
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/receive.py”, line 52, in connect_imap
self.imap = Timed_IMAP4_SSL(self.settings.host, timeout=frappe.conf.get(“pop_timeout”))
File “/opt/bitnami/apps/erpnext/htdocs/frappe-bench/apps/frappe/frappe/email/receive.py”, line 550, in init
self._super.init(self, *args, **kwargs)
File “/opt/bitnami/python/lib/python2.7/imaplib.py”, line 1168, in init
IMAP4.init(self, host, port)
File “/opt/bitnami/python/lib/python2.7/imaplib.py”, line 202, in init
typ, dat = self.capability()
File “/opt/bitnami/python/lib/python2.7/imaplib.py”, line 376, in capability
typ, dat = self._simple_command(name)
File “/opt/bitnami/python/lib/python2.7/imaplib.py”, line 1090, in _simple_command
return self._command_complete(name, self._command(name, *args))
File “/opt/bitnami/python/lib/python2.7/imaplib.py”, line 914, in _command_complete
raise self.abort(‘command: %s => %s’ % (name, val))
abort: command: CAPABILITY => socket error: EOF

Hi

A web search finds this https://docs.python.org/2/library/imaplib.html

and this example code https://github.com/python/cpython/blob/2.7/Lib/imaplib.py

Now follow the call sequence in your error traceback, for eg search on ‘_command_complete’

So your bitnami server and mail service provider connected over the network ok, then next the ERPNext mail client authenticated ok.

But during the mail pull request service capability process, the socket EOF means the mail server process failed to respond. Best check and confirm your mail settings with your mail service provider, the mail provider may not support the capability that you request.

Same sort of error started to show on 2019-04-04.

ERPNext: v11.1.16 (master)
Frappe Framework: v11.1.16 (master)

Is it possible to test fix with -

enable_imap_compression=False

Where can I test the above snippet?

The error as follows -

{‘method_name’: ‘pull_from_email_account’, ‘log’: <function log at 0x7f46a83ea950>, ‘retry’: 0, ‘is_async’: True, ‘user’: ‘Administrator’, ‘kwargs’: {‘email_account’: ‘Info (General Group Email)’}, ‘job_name’: ‘pull_from_email_account|Info (General Group Email)’, ‘event’: ‘all’, ‘method’: <function pull_from_email_account at 0x7f46a82d0598>, ‘site’: ‘________’}
Traceback (most recent call last):
File “/usr/lib/python3.6/imaplib.py”, line 1019, in _command_complete
typ, data = self._get_tagged_response(tag)
File “/usr/lib/python3.6/imaplib.py”, line 1139, in _get_tagged_response
self._get_response()
File “/usr/lib/python3.6/imaplib.py”, line 1047, in _get_response
resp = self._get_line()
File “/usr/lib/python3.6/imaplib.py”, line 1151, in _get_line
raise self.abort(‘socket error: EOF’)
imaplib.IMAP4.abort: socket error: EOF

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/bench/erpnext/apps/frappe/frappe/utils/background_jobs.py”, line 103, in execute_job
method(**kwargs)
File “/opt/bench/erpnext/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 716, in pull_from_email_account
email_account.mark_emails_as_read_unread()
File “/opt/bench/erpnext/apps/frappe/frappe/email/doctype/email_account/email_account.py”, line 617, in mark_emails_as_read_unread
email_server.update_flag(uid_list=uid_list)
File “/opt/bench/erpnext/apps/frappe/frappe/email/receive.py”, line 341, in update_flag
if not self.connect():
File “/opt/bench/erpnext/apps/frappe/frappe/email/receive.py”, line 43, in connect
return self.connect_imap()
File “/opt/bench/erpnext/apps/frappe/frappe/email/receive.py”, line 54, in connect_imap
self.imap.login(self.settings.username, self.settings.password)
File “/usr/lib/python3.6/imaplib.py”, line 596, in login
typ, dat = self._simple_command(‘LOGIN’, user, self._quote(password))
File “/usr/lib/python3.6/imaplib.py”, line 1196, in _simple_command
return self._command_complete(name, self._command(name, *args))
File “/usr/lib/python3.6/imaplib.py”, line 1021, in _command_complete
raise self.abort(‘command: %s => %s’ % (name, val))
imaplib.IMAP4.abort: command: LOGIN => socket error: EOF

“enable_imap_compression=False”

What is there to test, there’s this https://tools.ietf.org/html/rfc4978#page-3
but that does not appear to be supported https://docs.python.org/3/library/imaplib.html

I can’t say what a tagged response is however the server terminated the session

A tag has to do with encoding?